# Stream Management Manage the active and saved configuration of individual streams. ## Get active stream configuration - [GET /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/getactivestreamconfig.md): Returns the configuration currently applied in memory to the running stream. The stream name may be a specific stream or a stream pattern (regex). ## Update active stream configuration - [PUT /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/updateactivestreamconfig.md): Updates the in-memory configuration for a running stream (highest priority in the configuration hierarchy). Commonly used to enable/disable VIF on a stream or adjust detection parameters on the fly. Send only the fields you want to change. ## Get saved stream configuration - [GET /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/getsavedstreamconfig.md): Returns the persisted (on-disk) configuration for the stream or stream pattern. ## Update saved stream configuration - [PUT /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/updatesavedstreamconfig.md): Merges the supplied fields into the persisted configuration for the stream or stream pattern. Send only the fields you want to change. ## Create saved stream configuration - [POST /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/createsavedstreamconfig.md): Creates a new persisted configuration entry for the stream or stream pattern. Use this to add a new per-stream configuration to video-intelligence.json. ## Delete saved stream configuration - [DELETE /v1/{server}/plugin/vif/applications/{appName}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/deletesavedstreamconfig.md): Removes the persisted configuration entry for the stream or stream pattern. ## Get saved stream configuration (vhost/instance qualified) - [GET /v1/{server}/plugin/vif/vhosts/{vhost}/applications/{appName}/instances/{instance}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/getsavedstreamconfigqualified.md): Fully qualified variant of the saved-configuration endpoint that explicitly specifies the virtual host and application instance. Defaults are _defaultVHost_ and _definst_. ## Update saved stream configuration (vhost/instance qualified) - [PUT /v1/{server}/plugin/vif/vhosts/{vhost}/applications/{appName}/instances/{instance}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/updatesavedstreamconfigqualified.md) ## Create saved stream configuration (vhost/instance qualified) - [POST /v1/{server}/plugin/vif/vhosts/{vhost}/applications/{appName}/instances/{instance}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/createsavedstreamconfigqualified.md) ## Delete saved stream configuration (vhost/instance qualified) - [DELETE /v1/{server}/plugin/vif/vhosts/{vhost}/applications/{appName}/instances/{instance}/streams/{streamName}/config](https://developer.wowza.com/docs/wowza-video-intelligence-framework/api/vif-openapi-3.1/stream-management/deletesavedstreamconfigqualified.md)